php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #56502 auto installer is absent
Submitted: 2005-08-18 17:51 UTC Modified: 2005-08-20 11:41 UTC
From: arthur at cpt dot co dot il Assigned:
Status: Not a bug Package: PECL website (PECL)
PHP Version: 4.3.4 OS: linux-i586
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: arthur at cpt dot co dot il
New email:
PHP Version: OS:

 

 [2005-08-18 17:51 UTC] arthur at cpt dot co dot il
Description:
------------
[root src]# lynx -source http://go-pear.org | php
sh: php: is a directory
Broken pipe


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2005-08-18 18:13 UTC] klaus at capitalfocus dot org
It works fine for me. Sounds like you either have a problem with lynx or your php install. Try the following command:

# lynx -source http://go-pear.org/

It should tell you more (maybe you need to set up a proxy or something). Anyway, this bug is bogus.
 [2005-08-18 19:51 UTC] ohill@php.net
Do you have PHP installed and correctly running?

It seems like your piping the go-pear script to the wrong place. Can you issue these commands:

which php
php -v

And will it do the same thing if you try:

lynx -source http://go-pear.org > my-pear
php my-pear

I'm marking this as bogus since it is not a doc problem.
 [2005-08-20 05:28 UTC] tuupola at appelsiini dot net
Propably broken shell and a directory named php in current working directory?
 [2005-08-20 09:24 UTC] arthur at cpt dot co dot il
hi,

first, sorry did the the post in this section - couldn't figure out a better place to go at once.

important note: i run a Sun Cobalt RaQ4r appliance.
it has a rather different architecture.

#which php  -- says no php in... which is partially true since php is working on the server

same for
#php -v
says it's a directory, and it's damn right:

#whereis php
php: /usr/lib/php /usr/include/php

# ls -la /usr/lib/php /usr/include/php
/usr/include/php:
total 13
drwxr-xr-x    7 root     root         1024 May  2 18:08 .
drwxr-xr-x   46 root     root         4096 Aug 18 22:29 ..
-rw-r--r--    1 root     root         1541 Jun 21  2001 acconfig.h
drwxr-xr-x    4 root     root         1024 Oct  8  2002 ext
drwxr-xr-x    2 root     root         1024 Jun  8  2004 main
-rw-r--r--    1 root     root          120 Oct  8  2002 php_version.h
drwxr-xr-x    2 root     root         1024 Jun  8  2004 regex
drwxr-xr-x    2 root     root         1024 Jun  8  2004 TSRM
drwxr-xr-x    2 root     root         1024 Jun  8  2004 Zend

/usr/lib/php:
total 10
drwxr-xr-x    3 root     root         1024 May  2 18:07 .
drwxr-xr-x   31 root     root         8192 Aug 18 22:29 ..
drwxr-xr-x    2 root     root         1024 Jun  8  2004 build


this explains fully why the script is not working.

but what should i do now?

thank you for your advices.
 [2005-08-20 09:30 UTC] arthur at cpt dot co dot il
btw, this worked fine:

lynx -source http://go-pear.org/

but still, if i could not find php on my system, how could i install PEAR?
 [2005-08-20 09:31 UTC] klaus at capitalfocus dot org
Try installing the cli or cgi binary. Then it should work. It sounds like you probably have a setup where there is no binary at /usr/bin/php or /usr/local/bin/php :) If you do something like that, it should start working...

It might be worth building from source... :)
 [2005-08-20 11:39 UTC] arthur at cpt dot co dot il
hi Klaus,

i would well love to build from src, with some tips.

i know now that the version installed is RaQ4-PHP-4.3.4
and would like to upgrade it rather than installing concurrent version, or perhaps breaking everything.

could i integrate PEAR into existing php installation, what do you think?

your help is greatly appreciated.
 [2005-08-20 11:41 UTC] arthur at cpt dot co dot il
hi Klaus,

i would like to install PEAR from src, if i knew how.

my php version is RaQ4-PHP-4.3.4
could i upgrade existing installation with PEAR?
 
PHP Copyright © 2001-2019 The PHP Group
All rights reserved.
Last updated: Mon Sep 16 15:01:27 2019 UTC